<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::base_window Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1base__window.html">base_window</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classdlib_1_1base__window-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::base_window Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::base_window:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1base__window.png" usemap="#dlib::base_5Fwindow_map" alt=""/>
  <map id="dlib::base_5Fwindow_map" name="dlib::base_5Fwindow_map">
<area href="classdlib_1_1drawable__window.html" alt="dlib::drawable_window" shape="rect" coords="682,56,945,80"/>
<area href="classdlib_1_1popup__menu.html" alt="dlib::popup_menu" shape="rect" coords="955,56,1218,80"/>
<area href="classdlib_1_1tooltip_1_1tooltip__window.html" alt="dlib::tooltip::tooltip_window" shape="rect" coords="1228,56,1491,80"/>
<area href="classdlib_1_1image__window.html" alt="dlib::image_window" shape="rect" coords="0,112,263,136"/>
<area href="classdlib_1_1message__box__helper_1_1blocking__box__win.html" alt="dlib::message_box_helper::blocking_box_win" shape="rect" coords="273,112,536,136"/>
<area href="classdlib_1_1message__box__helper_1_1box__win.html" alt="dlib::message_box_helper::box_win" shape="rect" coords="546,112,809,136"/>
<area href="classdlib_1_1open__file__box__helper_1_1box__win.html" alt="dlib::open_file_box_helper::box_win" shape="rect" coords="819,112,1082,136"/>
<area href="classdlib_1_1perspective__window.html" alt="dlib::perspective_window" shape="rect" coords="1092,112,1355,136"/>
<area href="classwin.html" alt="win" shape="rect" coords="1365,112,1628,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a7771942140bd3b001aaa29851d7002fa"><td class="memItemLeft" align="right" valign="top"><a id="a7771942140bd3b001aaa29851d7002fa"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>on_close_return_code</b> { <b>DO_NOT_CLOSE_WINDOW</b>, 
<b>CLOSE_WINDOW</b>, 
<b>DO_NOT_CLOSE_WINDOW</b>, 
<b>CLOSE_WINDOW</b>
 }</td></tr>
<tr class="separator:a7771942140bd3b001aaa29851d7002fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8530707056c7c8533b121595894d9be"><td class="memItemLeft" align="right" valign="top"><a id="aa8530707056c7c8533b121595894d9be"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>mouse_state_masks</b> { <br />
&#160;&#160;<b>NONE</b> = 0, 
<b>LEFT</b> = 1, 
<b>RIGHT</b> = 2, 
<b>MIDDLE</b> = 4, 
<br />
&#160;&#160;<b>SHIFT</b> = 8, 
<b>CONTROL</b> = 16, 
<b>NONE</b> = 0, 
<b>LEFT</b> = 1, 
<br />
&#160;&#160;<b>RIGHT</b> = 2, 
<b>MIDDLE</b> = 4, 
<b>SHIFT</b> = 8, 
<b>CONTROL</b> = 16
<br />
 }</td></tr>
<tr class="separator:aa8530707056c7c8533b121595894d9be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b8701a6cde77141fae6111cc70d44bc"><td class="memItemLeft" align="right" valign="top"><a id="a3b8701a6cde77141fae6111cc70d44bc"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>keyboard_state_masks</b> { <br />
&#160;&#160;<b>KBD_MOD_NONE</b> = 0, 
<b>KBD_MOD_SHIFT</b> = 1, 
<b>KBD_MOD_CONTROL</b> = 2, 
<b>KBD_MOD_ALT</b> = 4, 
<br />
&#160;&#160;<b>KBD_MOD_META</b> = 8, 
<b>KBD_MOD_CAPS_LOCK</b> = 16, 
<b>KBD_MOD_NUM_LOCK</b> = 32, 
<b>KBD_MOD_SCROLL_LOCK</b> = 64, 
<br />
&#160;&#160;<b>KBD_MOD_NONE</b> = 0, 
<b>KBD_MOD_SHIFT</b> = 1, 
<b>KBD_MOD_CONTROL</b> = 2, 
<b>KBD_MOD_ALT</b> = 4, 
<br />
&#160;&#160;<b>KBD_MOD_META</b> = 8, 
<b>KBD_MOD_CAPS_LOCK</b> = 16, 
<b>KBD_MOD_NUM_LOCK</b> = 32, 
<b>KBD_MOD_SCROLL_LOCK</b> = 64
<br />
 }</td></tr>
<tr class="separator:a3b8701a6cde77141fae6111cc70d44bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e8a42f0ed5f183fa1ef17dde8dc1c68"><td class="memItemLeft" align="right" valign="top"><a id="a1e8a42f0ed5f183fa1ef17dde8dc1c68"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>non_printable_keyboard_keys</b> { <br />
&#160;&#160;<b>KEY_BACKSPACE</b>, 
<b>KEY_SHIFT</b>, 
<b>KEY_CTRL</b>, 
<b>KEY_ALT</b>, 
<br />
&#160;&#160;<b>KEY_PAUSE</b>, 
<b>KEY_CAPS_LOCK</b>, 
<b>KEY_ESC</b>, 
<b>KEY_PAGE_UP</b>, 
<br />
&#160;&#160;<b>KEY_PAGE_DOWN</b>, 
<b>KEY_END</b>, 
<b>KEY_HOME</b>, 
<b>KEY_LEFT</b>, 
<br />
&#160;&#160;<b>KEY_RIGHT</b>, 
<b>KEY_UP</b>, 
<b>KEY_DOWN</b>, 
<b>KEY_INSERT</b>, 
<br />
&#160;&#160;<b>KEY_DELETE</b>, 
<b>KEY_SCROLL_LOCK</b>, 
<b>KEY_F1</b>, 
<b>KEY_F2</b>, 
<br />
&#160;&#160;<b>KEY_F3</b>, 
<b>KEY_F4</b>, 
<b>KEY_F5</b>, 
<b>KEY_F6</b>, 
<br />
&#160;&#160;<b>KEY_F7</b>, 
<b>KEY_F8</b>, 
<b>KEY_F9</b>, 
<b>KEY_F10</b>, 
<br />
&#160;&#160;<b>KEY_F11</b>, 
<b>KEY_F12</b>, 
<b>KEY_BACKSPACE</b>, 
<b>KEY_SHIFT</b>, 
<br />
&#160;&#160;<b>KEY_CTRL</b>, 
<b>KEY_ALT</b>, 
<b>KEY_PAUSE</b>, 
<b>KEY_CAPS_LOCK</b>, 
<br />
&#160;&#160;<b>KEY_ESC</b>, 
<b>KEY_PAGE_UP</b>, 
<b>KEY_PAGE_DOWN</b>, 
<b>KEY_END</b>, 
<br />
&#160;&#160;<b>KEY_HOME</b>, 
<b>KEY_LEFT</b>, 
<b>KEY_RIGHT</b>, 
<b>KEY_UP</b>, 
<br />
&#160;&#160;<b>KEY_DOWN</b>, 
<b>KEY_INSERT</b>, 
<b>KEY_DELETE</b>, 
<b>KEY_SCROLL_LOCK</b>, 
<br />
&#160;&#160;<b>KEY_F1</b>, 
<b>KEY_F2</b>, 
<b>KEY_F3</b>, 
<b>KEY_F4</b>, 
<br />
&#160;&#160;<b>KEY_F5</b>, 
<b>KEY_F6</b>, 
<b>KEY_F7</b>, 
<b>KEY_F8</b>, 
<br />
&#160;&#160;<b>KEY_F9</b>, 
<b>KEY_F10</b>, 
<b>KEY_F11</b>, 
<b>KEY_F12</b>
<br />
 }</td></tr>
<tr class="separator:a1e8a42f0ed5f183fa1ef17dde8dc1c68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8530707056c7c8533b121595894d9be"><td class="memItemLeft" align="right" valign="top"><a id="aa8530707056c7c8533b121595894d9be"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>mouse_state_masks</b> { <br />
&#160;&#160;<b>NONE</b> = 0, 
<b>LEFT</b> = 1, 
<b>RIGHT</b> = 2, 
<b>MIDDLE</b> = 4, 
<br />
&#160;&#160;<b>SHIFT</b> = 8, 
<b>CONTROL</b> = 16, 
<b>NONE</b> = 0, 
<b>LEFT</b> = 1, 
<br />
&#160;&#160;<b>RIGHT</b> = 2, 
<b>MIDDLE</b> = 4, 
<b>SHIFT</b> = 8, 
<b>CONTROL</b> = 16
<br />
 }</td></tr>
<tr class="separator:aa8530707056c7c8533b121595894d9be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b8701a6cde77141fae6111cc70d44bc"><td class="memItemLeft" align="right" valign="top"><a id="a3b8701a6cde77141fae6111cc70d44bc"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>keyboard_state_masks</b> { <br />
&#160;&#160;<b>KBD_MOD_NONE</b> = 0, 
<b>KBD_MOD_SHIFT</b> = 1, 
<b>KBD_MOD_CONTROL</b> = 2, 
<b>KBD_MOD_ALT</b> = 4, 
<br />
&#160;&#160;<b>KBD_MOD_META</b> = 8, 
<b>KBD_MOD_CAPS_LOCK</b> = 16, 
<b>KBD_MOD_NUM_LOCK</b> = 32, 
<b>KBD_MOD_SCROLL_LOCK</b> = 64, 
<br />
&#160;&#160;<b>KBD_MOD_NONE</b> = 0, 
<b>KBD_MOD_SHIFT</b> = 1, 
<b>KBD_MOD_CONTROL</b> = 2, 
<b>KBD_MOD_ALT</b> = 4, 
<br />
&#160;&#160;<b>KBD_MOD_META</b> = 8, 
<b>KBD_MOD_CAPS_LOCK</b> = 16, 
<b>KBD_MOD_NUM_LOCK</b> = 32, 
<b>KBD_MOD_SCROLL_LOCK</b> = 64
<br />
 }</td></tr>
<tr class="separator:a3b8701a6cde77141fae6111cc70d44bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7771942140bd3b001aaa29851d7002fa"><td class="memItemLeft" align="right" valign="top"><a id="a7771942140bd3b001aaa29851d7002fa"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>on_close_return_code</b> { <b>DO_NOT_CLOSE_WINDOW</b>, 
<b>CLOSE_WINDOW</b>, 
<b>DO_NOT_CLOSE_WINDOW</b>, 
<b>CLOSE_WINDOW</b>
 }</td></tr>
<tr class="separator:a7771942140bd3b001aaa29851d7002fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e8a42f0ed5f183fa1ef17dde8dc1c68"><td class="memItemLeft" align="right" valign="top"><a id="a1e8a42f0ed5f183fa1ef17dde8dc1c68"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>non_printable_keyboard_keys</b> { <br />
&#160;&#160;<b>KEY_BACKSPACE</b>, 
<b>KEY_SHIFT</b>, 
<b>KEY_CTRL</b>, 
<b>KEY_ALT</b>, 
<br />
&#160;&#160;<b>KEY_PAUSE</b>, 
<b>KEY_CAPS_LOCK</b>, 
<b>KEY_ESC</b>, 
<b>KEY_PAGE_UP</b>, 
<br />
&#160;&#160;<b>KEY_PAGE_DOWN</b>, 
<b>KEY_END</b>, 
<b>KEY_HOME</b>, 
<b>KEY_LEFT</b>, 
<br />
&#160;&#160;<b>KEY_RIGHT</b>, 
<b>KEY_UP</b>, 
<b>KEY_DOWN</b>, 
<b>KEY_INSERT</b>, 
<br />
&#160;&#160;<b>KEY_DELETE</b>, 
<b>KEY_SCROLL_LOCK</b>, 
<b>KEY_F1</b>, 
<b>KEY_F2</b>, 
<br />
&#160;&#160;<b>KEY_F3</b>, 
<b>KEY_F4</b>, 
<b>KEY_F5</b>, 
<b>KEY_F6</b>, 
<br />
&#160;&#160;<b>KEY_F7</b>, 
<b>KEY_F8</b>, 
<b>KEY_F9</b>, 
<b>KEY_F10</b>, 
<br />
&#160;&#160;<b>KEY_F11</b>, 
<b>KEY_F12</b>, 
<b>KEY_BACKSPACE</b>, 
<b>KEY_SHIFT</b>, 
<br />
&#160;&#160;<b>KEY_CTRL</b>, 
<b>KEY_ALT</b>, 
<b>KEY_PAUSE</b>, 
<b>KEY_CAPS_LOCK</b>, 
<br />
&#160;&#160;<b>KEY_ESC</b>, 
<b>KEY_PAGE_UP</b>, 
<b>KEY_PAGE_DOWN</b>, 
<b>KEY_END</b>, 
<br />
&#160;&#160;<b>KEY_HOME</b>, 
<b>KEY_LEFT</b>, 
<b>KEY_RIGHT</b>, 
<b>KEY_UP</b>, 
<br />
&#160;&#160;<b>KEY_DOWN</b>, 
<b>KEY_INSERT</b>, 
<b>KEY_DELETE</b>, 
<b>KEY_SCROLL_LOCK</b>, 
<br />
&#160;&#160;<b>KEY_F1</b>, 
<b>KEY_F2</b>, 
<b>KEY_F3</b>, 
<b>KEY_F4</b>, 
<br />
&#160;&#160;<b>KEY_F5</b>, 
<b>KEY_F6</b>, 
<b>KEY_F7</b>, 
<b>KEY_F8</b>, 
<br />
&#160;&#160;<b>KEY_F9</b>, 
<b>KEY_F10</b>, 
<b>KEY_F11</b>, 
<b>KEY_F12</b>
<br />
 }</td></tr>
<tr class="separator:a1e8a42f0ed5f183fa1ef17dde8dc1c68"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac423b0efddf6782bba32fe798a6fbc1c"><td class="memItemLeft" align="right" valign="top"><a id="ac423b0efddf6782bba32fe798a6fbc1c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>base_window</b> (bool resizable=true, bool undecorated=false)</td></tr>
<tr class="separator:ac423b0efddf6782bba32fe798a6fbc1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6dd44eb8599795c416d913b2f4aadbcd"><td class="memItemLeft" align="right" valign="top"><a id="a6dd44eb8599795c416d913b2f4aadbcd"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>close_window</b> ()</td></tr>
<tr class="separator:a6dd44eb8599795c416d913b2f4aadbcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52508109a49a9b3af019dd67cf540c51"><td class="memItemLeft" align="right" valign="top"><a id="a52508109a49a9b3af019dd67cf540c51"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_closed</b> () const</td></tr>
<tr class="separator:a52508109a49a9b3af019dd67cf540c51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae49b94e960d7003fe6a6c5957f4c1524"><td class="memItemLeft" align="right" valign="top"><a id="ae49b94e960d7003fe6a6c5957f4c1524"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_title</b> (const std::string &amp;title)</td></tr>
<tr class="separator:ae49b94e960d7003fe6a6c5957f4c1524"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a572e6f4afedbd87ed13ae2aab0f544ed"><td class="memItemLeft" align="right" valign="top"><a id="a572e6f4afedbd87ed13ae2aab0f544ed"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_title</b> (const std::wstring &amp;title)</td></tr>
<tr class="separator:a572e6f4afedbd87ed13ae2aab0f544ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ef4dc00652fd766e02b3902af4c517a"><td class="memItemLeft" align="right" valign="top"><a id="a5ef4dc00652fd766e02b3902af4c517a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_title</b> (const ustring &amp;title)</td></tr>
<tr class="separator:a5ef4dc00652fd766e02b3902af4c517a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41bad47de490c83922988df1d06c41b3"><td class="memItemLeft" align="right" valign="top"><a id="a41bad47de490c83922988df1d06c41b3"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>show</b> ()</td></tr>
<tr class="separator:a41bad47de490c83922988df1d06c41b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ebd12dd02029c27e44a5d1967689763"><td class="memItemLeft" align="right" valign="top"><a id="a5ebd12dd02029c27e44a5d1967689763"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>hide</b> ()</td></tr>
<tr class="separator:a5ebd12dd02029c27e44a5d1967689763"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a361bb730b4344b8fce6fddac34c3e76f"><td class="memItemLeft" align="right" valign="top"><a id="a361bb730b4344b8fce6fddac34c3e76f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_size</b> (int width_, int height_)</td></tr>
<tr class="separator:a361bb730b4344b8fce6fddac34c3e76f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa691982ba5c7ae902543294c5c172a05"><td class="memItemLeft" align="right" valign="top"><a id="aa691982ba5c7ae902543294c5c172a05"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_pos</b> (long x_, long y_)</td></tr>
<tr class="separator:aa691982ba5c7ae902543294c5c172a05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bc2abf402df7db23720f7468b146063"><td class="memItemLeft" align="right" valign="top"><a id="a2bc2abf402df7db23720f7468b146063"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>get_pos</b> (long &amp;x_, long &amp;y_)</td></tr>
<tr class="separator:a2bc2abf402df7db23720f7468b146063"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a543534ac147558a021112fd2abf27fab"><td class="memItemLeft" align="right" valign="top"><a id="a543534ac147558a021112fd2abf27fab"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>get_size</b> (unsigned long &amp;width, unsigned long &amp;height) const</td></tr>
<tr class="separator:a543534ac147558a021112fd2abf27fab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7fb8a841d498ec500100aaa01b688bd"><td class="memItemLeft" align="right" valign="top"><a id="ad7fb8a841d498ec500100aaa01b688bd"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>get_display_size</b> (unsigned long &amp;width, unsigned long &amp;height) const</td></tr>
<tr class="separator:ad7fb8a841d498ec500100aaa01b688bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6239b985257e7ec27304df6622a29ab9"><td class="memItemLeft" align="right" valign="top"><a id="a6239b985257e7ec27304df6622a29ab9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>invalidate_rectangle</b> (const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;rect)</td></tr>
<tr class="separator:a6239b985257e7ec27304df6622a29ab9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaf5deab5458ad9a62111c0ebbafb6a2"><td class="memItemLeft" align="right" valign="top"><a id="afaf5deab5458ad9a62111c0ebbafb6a2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>trigger_user_event</b> (void *p, int i)</td></tr>
<tr class="separator:afaf5deab5458ad9a62111c0ebbafb6a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d943e59e409407b512b86cf25499cc9"><td class="memItemLeft" align="right" valign="top"><a id="a7d943e59e409407b512b86cf25499cc9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>wait_until_closed</b> () const</td></tr>
<tr class="separator:a7d943e59e409407b512b86cf25499cc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa50236e71467feb993b5c2b107efe1dd"><td class="memItemLeft" align="right" valign="top"><a id="aa50236e71467feb993b5c2b107efe1dd"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_im_pos</b> (long x_, long y_)</td></tr>
<tr class="separator:aa50236e71467feb993b5c2b107efe1dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa28eb24655f88512ac9c33900cf98492"><td class="memItemLeft" align="right" valign="top"><a id="aa28eb24655f88512ac9c33900cf98492"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>base_window</b> (bool resizable_=true, bool undecorated=false)</td></tr>
<tr class="separator:aa28eb24655f88512ac9c33900cf98492"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6dd44eb8599795c416d913b2f4aadbcd"><td class="memItemLeft" align="right" valign="top"><a id="a6dd44eb8599795c416d913b2f4aadbcd"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>close_window</b> ()</td></tr>
<tr class="separator:a6dd44eb8599795c416d913b2f4aadbcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d943e59e409407b512b86cf25499cc9"><td class="memItemLeft" align="right" valign="top"><a id="a7d943e59e409407b512b86cf25499cc9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>wait_until_closed</b> () const</td></tr>
<tr class="separator:a7d943e59e409407b512b86cf25499cc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa50236e71467feb993b5c2b107efe1dd"><td class="memItemLeft" align="right" valign="top"><a id="aa50236e71467feb993b5c2b107efe1dd"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_im_pos</b> (long x_, long y_)</td></tr>
<tr class="separator:aa50236e71467feb993b5c2b107efe1dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52508109a49a9b3af019dd67cf540c51"><td class="memItemLeft" align="right" valign="top"><a id="a52508109a49a9b3af019dd67cf540c51"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_closed</b> () const</td></tr>
<tr class="separator:a52508109a49a9b3af019dd67cf540c51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a005b15e99eba9eb2a93039402e7fccdd"><td class="memItemLeft" align="right" valign="top"><a id="a005b15e99eba9eb2a93039402e7fccdd"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_title</b> (const std::string &amp;title_)</td></tr>
<tr class="separator:a005b15e99eba9eb2a93039402e7fccdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a0633f475af8e8528817e9a714b3474"><td class="memItemLeft" align="right" valign="top"><a id="a1a0633f475af8e8528817e9a714b3474"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_title</b> (const std::wstring &amp;title_)</td></tr>
<tr class="separator:a1a0633f475af8e8528817e9a714b3474"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bc616ebc1ceb1296b8c0d09467fa944"><td class="memItemLeft" align="right" valign="top"><a id="a0bc616ebc1ceb1296b8c0d09467fa944"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_title</b> (const dlib::ustring &amp;title_)</td></tr>
<tr class="separator:a0bc616ebc1ceb1296b8c0d09467fa944"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62cf9124f35a4641b8faf1e2f976f7c0"><td class="memItemLeft" align="right" valign="top"><a id="a62cf9124f35a4641b8faf1e2f976f7c0"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>show</b> ()</td></tr>
<tr class="separator:a62cf9124f35a4641b8faf1e2f976f7c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea80835994412bbed6afc3da3129bd0e"><td class="memItemLeft" align="right" valign="top"><a id="aea80835994412bbed6afc3da3129bd0e"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>hide</b> ()</td></tr>
<tr class="separator:aea80835994412bbed6afc3da3129bd0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a361bb730b4344b8fce6fddac34c3e76f"><td class="memItemLeft" align="right" valign="top"><a id="a361bb730b4344b8fce6fddac34c3e76f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_size</b> (int width_, int height_)</td></tr>
<tr class="separator:a361bb730b4344b8fce6fddac34c3e76f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa691982ba5c7ae902543294c5c172a05"><td class="memItemLeft" align="right" valign="top"><a id="aa691982ba5c7ae902543294c5c172a05"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_pos</b> (long x_, long y_)</td></tr>
<tr class="separator:aa691982ba5c7ae902543294c5c172a05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bc2abf402df7db23720f7468b146063"><td class="memItemLeft" align="right" valign="top"><a id="a2bc2abf402df7db23720f7468b146063"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>get_pos</b> (long &amp;x_, long &amp;y_)</td></tr>
<tr class="separator:a2bc2abf402df7db23720f7468b146063"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86eb512a0eb8448ed657171c79ff0d06"><td class="memItemLeft" align="right" valign="top"><a id="a86eb512a0eb8448ed657171c79ff0d06"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>get_size</b> (unsigned long &amp;width_, unsigned long &amp;height_) const</td></tr>
<tr class="separator:a86eb512a0eb8448ed657171c79ff0d06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7fb8a841d498ec500100aaa01b688bd"><td class="memItemLeft" align="right" valign="top"><a id="ad7fb8a841d498ec500100aaa01b688bd"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>get_display_size</b> (unsigned long &amp;width, unsigned long &amp;height) const</td></tr>
<tr class="separator:ad7fb8a841d498ec500100aaa01b688bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6239b985257e7ec27304df6622a29ab9"><td class="memItemLeft" align="right" valign="top"><a id="a6239b985257e7ec27304df6622a29ab9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>invalidate_rectangle</b> (const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;rect)</td></tr>
<tr class="separator:a6239b985257e7ec27304df6622a29ab9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaf5deab5458ad9a62111c0ebbafb6a2"><td class="memItemLeft" align="right" valign="top"><a id="afaf5deab5458ad9a62111c0ebbafb6a2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>trigger_user_event</b> (void *p, int i)</td></tr>
<tr class="separator:afaf5deab5458ad9a62111c0ebbafb6a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a815c6d708ac4bf8034187cbaf89a99a2"><td class="memItemLeft" align="right" valign="top"><a id="a815c6d708ac4bf8034187cbaf89a99a2"></a>
virtual on_close_return_code&#160;</td><td class="memItemRight" valign="bottom"><b>on_window_close</b> ()</td></tr>
<tr class="separator:a815c6d708ac4bf8034187cbaf89a99a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78d0e51e434128d49ccb36b417cab7d4"><td class="memItemLeft" align="right" valign="top"><a id="a78d0e51e434128d49ccb36b417cab7d4"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_user_event</b> (void *, int)</td></tr>
<tr class="separator:a78d0e51e434128d49ccb36b417cab7d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa13855b8ca3362d4a8822eef0bac1175"><td class="memItemLeft" align="right" valign="top"><a id="aa13855b8ca3362d4a8822eef0bac1175"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_window_resized</b> ()</td></tr>
<tr class="separator:aa13855b8ca3362d4a8822eef0bac1175"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af558d25094d4f916b297116a44176134"><td class="memItemLeft" align="right" valign="top"><a id="af558d25094d4f916b297116a44176134"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_window_moved</b> ()</td></tr>
<tr class="separator:af558d25094d4f916b297116a44176134"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afff6574a6055e35ce3500e4b454e627e"><td class="memItemLeft" align="right" valign="top"><a id="afff6574a6055e35ce3500e4b454e627e"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_down</b> (unsigned long, unsigned long, long, long, bool)</td></tr>
<tr class="separator:afff6574a6055e35ce3500e4b454e627e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a459c1ccc46f0e141330487bc32248f07"><td class="memItemLeft" align="right" valign="top"><a id="a459c1ccc46f0e141330487bc32248f07"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_up</b> (unsigned long, unsigned long, long, long)</td></tr>
<tr class="separator:a459c1ccc46f0e141330487bc32248f07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb456522ca48507ca23cbf7719a407e7"><td class="memItemLeft" align="right" valign="top"><a id="acb456522ca48507ca23cbf7719a407e7"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_move</b> (unsigned long, long, long)</td></tr>
<tr class="separator:acb456522ca48507ca23cbf7719a407e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9661fb176792e36d3d9fa880d1b3996a"><td class="memItemLeft" align="right" valign="top"><a id="a9661fb176792e36d3d9fa880d1b3996a"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_leave</b> ()</td></tr>
<tr class="separator:a9661fb176792e36d3d9fa880d1b3996a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bd4646f8d96206ace8a588ba57934e3"><td class="memItemLeft" align="right" valign="top"><a id="a5bd4646f8d96206ace8a588ba57934e3"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_enter</b> ()</td></tr>
<tr class="separator:a5bd4646f8d96206ace8a588ba57934e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a569396fcd0de8d29cd9b7a19ebb1fc11"><td class="memItemLeft" align="right" valign="top"><a id="a569396fcd0de8d29cd9b7a19ebb1fc11"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_wheel_up</b> (unsigned long)</td></tr>
<tr class="separator:a569396fcd0de8d29cd9b7a19ebb1fc11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37d2cd3a23f04cfa757125d7b2f18d4a"><td class="memItemLeft" align="right" valign="top"><a id="a37d2cd3a23f04cfa757125d7b2f18d4a"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_wheel_down</b> (unsigned long)</td></tr>
<tr class="separator:a37d2cd3a23f04cfa757125d7b2f18d4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c612997a3508260a275c078da2a0540"><td class="memItemLeft" align="right" valign="top"><a id="a0c612997a3508260a275c078da2a0540"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_focus_gained</b> ()</td></tr>
<tr class="separator:a0c612997a3508260a275c078da2a0540"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a306a7630b70850f4d3b2441bb6cfe0ae"><td class="memItemLeft" align="right" valign="top"><a id="a306a7630b70850f4d3b2441bb6cfe0ae"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_focus_lost</b> ()</td></tr>
<tr class="separator:a306a7630b70850f4d3b2441bb6cfe0ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a585d3f64090f6bf44db2eb942b4644d5"><td class="memItemLeft" align="right" valign="top"><a id="a585d3f64090f6bf44db2eb942b4644d5"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_keydown</b> (unsigned long, bool, unsigned long)</td></tr>
<tr class="separator:a585d3f64090f6bf44db2eb942b4644d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd26d72e3202aa9f126834f2b5c430d1"><td class="memItemLeft" align="right" valign="top"><a id="acd26d72e3202aa9f126834f2b5c430d1"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_string_put</b> (const std::wstring &amp;)</td></tr>
<tr class="separator:acd26d72e3202aa9f126834f2b5c430d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a815c6d708ac4bf8034187cbaf89a99a2"><td class="memItemLeft" align="right" valign="top"><a id="a815c6d708ac4bf8034187cbaf89a99a2"></a>
virtual on_close_return_code&#160;</td><td class="memItemRight" valign="bottom"><b>on_window_close</b> ()</td></tr>
<tr class="separator:a815c6d708ac4bf8034187cbaf89a99a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa13855b8ca3362d4a8822eef0bac1175"><td class="memItemLeft" align="right" valign="top"><a id="aa13855b8ca3362d4a8822eef0bac1175"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_window_resized</b> ()</td></tr>
<tr class="separator:aa13855b8ca3362d4a8822eef0bac1175"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af558d25094d4f916b297116a44176134"><td class="memItemLeft" align="right" valign="top"><a id="af558d25094d4f916b297116a44176134"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_window_moved</b> ()</td></tr>
<tr class="separator:af558d25094d4f916b297116a44176134"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78d0e51e434128d49ccb36b417cab7d4"><td class="memItemLeft" align="right" valign="top"><a id="a78d0e51e434128d49ccb36b417cab7d4"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_user_event</b> (void *, int)</td></tr>
<tr class="separator:a78d0e51e434128d49ccb36b417cab7d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afff6574a6055e35ce3500e4b454e627e"><td class="memItemLeft" align="right" valign="top"><a id="afff6574a6055e35ce3500e4b454e627e"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_down</b> (unsigned long, unsigned long, long, long, bool)</td></tr>
<tr class="separator:afff6574a6055e35ce3500e4b454e627e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a459c1ccc46f0e141330487bc32248f07"><td class="memItemLeft" align="right" valign="top"><a id="a459c1ccc46f0e141330487bc32248f07"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_up</b> (unsigned long, unsigned long, long, long)</td></tr>
<tr class="separator:a459c1ccc46f0e141330487bc32248f07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb456522ca48507ca23cbf7719a407e7"><td class="memItemLeft" align="right" valign="top"><a id="acb456522ca48507ca23cbf7719a407e7"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_move</b> (unsigned long, long, long)</td></tr>
<tr class="separator:acb456522ca48507ca23cbf7719a407e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9661fb176792e36d3d9fa880d1b3996a"><td class="memItemLeft" align="right" valign="top"><a id="a9661fb176792e36d3d9fa880d1b3996a"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_leave</b> ()</td></tr>
<tr class="separator:a9661fb176792e36d3d9fa880d1b3996a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bd4646f8d96206ace8a588ba57934e3"><td class="memItemLeft" align="right" valign="top"><a id="a5bd4646f8d96206ace8a588ba57934e3"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_enter</b> ()</td></tr>
<tr class="separator:a5bd4646f8d96206ace8a588ba57934e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a569396fcd0de8d29cd9b7a19ebb1fc11"><td class="memItemLeft" align="right" valign="top"><a id="a569396fcd0de8d29cd9b7a19ebb1fc11"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_wheel_up</b> (unsigned long)</td></tr>
<tr class="separator:a569396fcd0de8d29cd9b7a19ebb1fc11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37d2cd3a23f04cfa757125d7b2f18d4a"><td class="memItemLeft" align="right" valign="top"><a id="a37d2cd3a23f04cfa757125d7b2f18d4a"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_wheel_down</b> (unsigned long)</td></tr>
<tr class="separator:a37d2cd3a23f04cfa757125d7b2f18d4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c612997a3508260a275c078da2a0540"><td class="memItemLeft" align="right" valign="top"><a id="a0c612997a3508260a275c078da2a0540"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_focus_gained</b> ()</td></tr>
<tr class="separator:a0c612997a3508260a275c078da2a0540"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a306a7630b70850f4d3b2441bb6cfe0ae"><td class="memItemLeft" align="right" valign="top"><a id="a306a7630b70850f4d3b2441bb6cfe0ae"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_focus_lost</b> ()</td></tr>
<tr class="separator:a306a7630b70850f4d3b2441bb6cfe0ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a585d3f64090f6bf44db2eb942b4644d5"><td class="memItemLeft" align="right" valign="top"><a id="a585d3f64090f6bf44db2eb942b4644d5"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_keydown</b> (unsigned long, bool, unsigned long)</td></tr>
<tr class="separator:a585d3f64090f6bf44db2eb942b4644d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd26d72e3202aa9f126834f2b5c430d1"><td class="memItemLeft" align="right" valign="top"><a id="acd26d72e3202aa9f126834f2b5c430d1"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_string_put</b> (const std::wstring &amp;)</td></tr>
<tr class="separator:acd26d72e3202aa9f126834f2b5c430d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ad348d88a4e9b9f7edbe22e5f6259df89"><td class="memItemLeft" align="right" valign="top"><a id="ad348d88a4e9b9f7edbe22e5f6259df89"></a>
const <a class="el" href="classdlib_1_1rmutex.html">rmutex</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>wm</b></td></tr>
<tr class="separator:ad348d88a4e9b9f7edbe22e5f6259df89"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a743a0d87a6834fb1866f2cf94b1176b1"><td class="memItemLeft" align="right" valign="top"><a id="a743a0d87a6834fb1866f2cf94b1176b1"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (const <a class="el" href="classdlib_1_1canvas.html">canvas</a> &amp;)=0</td></tr>
<tr class="separator:a743a0d87a6834fb1866f2cf94b1176b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47b30ad148fc065dd818ab4880dc06b9"><td class="memItemLeft" align="right" valign="top"><a id="a47b30ad148fc065dd818ab4880dc06b9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>base_window</b> (<a class="el" href="classdlib_1_1base__window.html">base_window</a> &amp;)</td></tr>
<tr class="separator:a47b30ad148fc065dd818ab4880dc06b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4721d213d55fdd484bbee005879eb9e3"><td class="memItemLeft" align="right" valign="top"><a id="a4721d213d55fdd484bbee005879eb9e3"></a>
<a class="el" href="classdlib_1_1base__window.html">base_window</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (<a class="el" href="classdlib_1_1base__window.html">base_window</a> &amp;)</td></tr>
<tr class="separator:a4721d213d55fdd484bbee005879eb9e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96618ca419c6d265aa4865a8ec1f3987"><td class="memItemLeft" align="right" valign="top"><a id="a96618ca419c6d265aa4865a8ec1f3987"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (const <a class="el" href="classdlib_1_1canvas.html">canvas</a> &amp;c)=0</td></tr>
<tr class="separator:a96618ca419c6d265aa4865a8ec1f3987"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47b30ad148fc065dd818ab4880dc06b9"><td class="memItemLeft" align="right" valign="top"><a id="a47b30ad148fc065dd818ab4880dc06b9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>base_window</b> (<a class="el" href="classdlib_1_1base__window.html">base_window</a> &amp;)</td></tr>
<tr class="separator:a47b30ad148fc065dd818ab4880dc06b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4721d213d55fdd484bbee005879eb9e3"><td class="memItemLeft" align="right" valign="top"><a id="a4721d213d55fdd484bbee005879eb9e3"></a>
<a class="el" href="classdlib_1_1base__window.html">base_window</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (<a class="el" href="classdlib_1_1base__window.html">base_window</a> &amp;)</td></tr>
<tr class="separator:a4721d213d55fdd484bbee005879eb9e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aef93ddaaa13e3b5894bf4b4b69b8bcbc"><td class="memItemLeft" align="right" valign="top"><a id="aef93ddaaa13e3b5894bf4b4b69b8bcbc"></a>
<a class="el" href="classdlib_1_1shared__ptr__thread__safe.html">shared_ptr_thread_safe</a>&lt; gui_core_kernel_1_globals::event_handler_thread &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>globals</b></td></tr>
<tr class="separator:aef93ddaaa13e3b5894bf4b4b69b8bcbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a26e7d7f4e3fc52eeaa538a4d23dd9a"><td class="memItemLeft" align="right" valign="top"><a id="a6a26e7d7f4e3fc52eeaa538a4d23dd9a"></a>
HWND&#160;</td><td class="memItemRight" valign="bottom"><b>hwnd</b></td></tr>
<tr class="separator:a6a26e7d7f4e3fc52eeaa538a4d23dd9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c7e06d28f3429189ac15e13faa6d075"><td class="memItemLeft" align="right" valign="top"><a id="a2c7e06d28f3429189ac15e13faa6d075"></a>
DWORD&#160;</td><td class="memItemRight" valign="bottom"><b>style</b></td></tr>
<tr class="separator:a2c7e06d28f3429189ac15e13faa6d075"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a508e46a54ba714ea57c9d1f7c3f72349"><td class="memItemLeft" align="right" valign="top"><a id="a508e46a54ba714ea57c9d1f7c3f72349"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>has_been_destroyed</b></td></tr>
<tr class="separator:a508e46a54ba714ea57c9d1f7c3f72349"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cd880b597d2ff9830e7a1c5c696d963"><td class="memItemLeft" align="right" valign="top"><a id="a8cd880b597d2ff9830e7a1c5c696d963"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>mouse_in</b></td></tr>
<tr class="separator:a8cd880b597d2ff9830e7a1c5c696d963"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af21f70166ededecb41439537288d57db"><td class="memItemLeft" align="right" valign="top"><a id="af21f70166ededecb41439537288d57db"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>prevx</b></td></tr>
<tr class="separator:af21f70166ededecb41439537288d57db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f41a05625401d6ef52f6f6c80c308b3"><td class="memItemLeft" align="right" valign="top"><a id="a1f41a05625401d6ef52f6f6c80c308b3"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>prevy</b></td></tr>
<tr class="separator:a1f41a05625401d6ef52f6f6c80c308b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdc708134e21110c02211ca24bc2e9cc"><td class="memItemLeft" align="right" valign="top"><a id="acdc708134e21110c02211ca24bc2e9cc"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>prev_state</b></td></tr>
<tr class="separator:acdc708134e21110c02211ca24bc2e9cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbda53f122fe59207075e0b12007c4de"><td class="memItemLeft" align="right" valign="top"><a id="acbda53f122fe59207075e0b12007c4de"></a>
<a class="el" href="structdlib_1_1gui__core__kernel__2__globals_1_1x11__base__windowstuff.html">gui_core_kernel_2_globals::x11_base_windowstuff</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>x11_stuff</b></td></tr>
<tr class="separator:acbda53f122fe59207075e0b12007c4de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a017580cad06520915a0083a4231a015f"><td class="memItemLeft" align="right" valign="top"><a id="a017580cad06520915a0083a4231a015f"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>x</b></td></tr>
<tr class="separator:a017580cad06520915a0083a4231a015f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0f38b255612033f2aa83d99d69a614e"><td class="memItemLeft" align="right" valign="top"><a id="ae0f38b255612033f2aa83d99d69a614e"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>y</b></td></tr>
<tr class="separator:ae0f38b255612033f2aa83d99d69a614e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace703bfd0b5b334232916cab7707b516"><td class="memItemLeft" align="right" valign="top"><a id="ace703bfd0b5b334232916cab7707b516"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>width</b></td></tr>
<tr class="separator:ace703bfd0b5b334232916cab7707b516"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60719cb5a36b50940aceec1ef8b8f261"><td class="memItemLeft" align="right" valign="top"><a id="a60719cb5a36b50940aceec1ef8b8f261"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>height</b></td></tr>
<tr class="separator:a60719cb5a36b50940aceec1ef8b8f261"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af986faae936bb449a193f40e4a441093"><td class="memItemLeft" align="right" valign="top"><a id="af986faae936bb449a193f40e4a441093"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_mapped</b></td></tr>
<tr class="separator:af986faae936bb449a193f40e4a441093"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a679e99d671f4b209cbb61248a83763fa"><td class="memItemLeft" align="right" valign="top"><a id="a679e99d671f4b209cbb61248a83763fa"></a>
const bool&#160;</td><td class="memItemRight" valign="bottom"><b>resizable</b></td></tr>
<tr class="separator:a679e99d671f4b209cbb61248a83763fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5af7456b26ef72f40ea15889d823a752"><td class="memItemLeft" align="right" valign="top"><a id="a5af7456b26ef72f40ea15889d823a752"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>has_been_resized</b></td></tr>
<tr class="separator:a5af7456b26ef72f40ea15889d823a752"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3631822ce2cfdf934805aa2ee4c6d1f0"><td class="memItemLeft" align="right" valign="top"><a id="a3631822ce2cfdf934805aa2ee4c6d1f0"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>has_been_moved</b></td></tr>
<tr class="separator:a3631822ce2cfdf934805aa2ee4c6d1f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fbe64638e1090372642053c70dcc86c"><td class="memItemLeft" align="right" valign="top"><a id="a8fbe64638e1090372642053c70dcc86c"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>last_click_x</b></td></tr>
<tr class="separator:a8fbe64638e1090372642053c70dcc86c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae513fb160b3c5c8846838e0cb1baac9b"><td class="memItemLeft" align="right" valign="top"><a id="ae513fb160b3c5c8846838e0cb1baac9b"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>last_click_y</b></td></tr>
<tr class="separator:ae513fb160b3c5c8846838e0cb1baac9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af75fe6fcab9281d69b665a0295948d75"><td class="memItemLeft" align="right" valign="top"><a id="af75fe6fcab9281d69b665a0295948d75"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>last_click_button</b></td></tr>
<tr class="separator:af75fe6fcab9281d69b665a0295948d75"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a64be6174b4e34c643140fcc9e3a65492"><td class="memItemLeft" align="right" valign="top"><a id="a64be6174b4e34c643140fcc9e3a65492"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>gui_core_kernel_2_globals::event_handler_thread</b></td></tr>
<tr class="separator:a64be6174b4e34c643140fcc9e3a65492"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14ba1b4bb1b3083677ddc00be4aea712"><td class="memItemLeft" align="right" valign="top"><a id="a14ba1b4bb1b3083677ddc00be4aea712"></a>
LRESULT CALLBACK&#160;</td><td class="memItemRight" valign="bottom"><b>gui_core_kernel_1_globals::WndProc</b> (HWND, UINT, WPARAM, LPARAM)</td></tr>
<tr class="separator:a14ba1b4bb1b3083677ddc00be4aea712"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5de8cd8feaa9c9f7ebe5b8bf2b1f0a02"><td class="memItemLeft" align="right" valign="top"><a id="a5de8cd8feaa9c9f7ebe5b8bf2b1f0a02"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>gui_core_kernel_2_globals::trigger_user_event_threadproc</b> (void *)</td></tr>
<tr class="separator:a5de8cd8feaa9c9f7ebe5b8bf2b1f0a02"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="gui__core__kernel__1_8h_source.html">gui_core_kernel_1.h</a></li>
<li><a class="el" href="gui__core__kernel__2_8h_source.html">gui_core_kernel_2.h</a></li>
<li>gui_core_kernel_2.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
